<div class="editor-container">
  <div class="toolbar">
    <button nz-button nzType="default" nzSize="small" (click)="onBold()">
      <fa-icon [icon]="faBold"></fa-icon>
    </button>
    <button nz-button nzType="default" nzSize="small" (click)="onItalic()">
      <fa-icon [icon]="faItalic"></fa-icon>
    </button>
    <button nz-button nzType="default" nzSize="small" (click)="onStrikethrough()">
      <fa-icon [icon]="faStrikethrough"></fa-icon>
    </button>
    <button nz-button nzType="default" nzSize="small" (click)="onHeader(1)">H1</button>
    <button nz-button nzType="default" nzSize="small" (click)="onHeader(2)">H2</button>
    <button nz-button nzType="default" nzSize="small" (click)="onHeader(3)">H3</button>
    <button nz-button nzType="default" nzSize="small" (click)="onOrderedList()">
      <fa-icon [icon]="faListOl"></fa-icon>
    </button>
    <button nz-button nzType="default" nzSize="small" (click)="onUnorderedList()">
      <fa-icon [icon]="faListUl"></fa-icon>
    </button>
    <button nz-button nzType="default" nzSize="small" (click)="onInsertTable()">
      <fa-icon [icon]="faTable"></fa-icon>
    </button>
  </div>

  <textarea #markdownTextarea [(ngModel)]="markdownContent" (ngModelChange)="markdownChange.emit(markdownContent)" rows="10" class="editor-textarea"></textarea>

  <div class="preview">
    <markdown [data]="markdownContent"></markdown>
  </div>
</div>
